<template>
  <el-dialog
    :title="!dataForm.id ? '新增' : '修改'"
    :close-on-click-modal="false"
    :visible.sync="visible">
    <el-form :model="dataForm" :rules="dataRule" ref="dataForm" @keyup.enter.native="dataFormSubmit()" label-width="80px">
    <el-form-item label="员工id" prop="userId">
      <el-input v-model="dataForm.userId" placeholder="员工id"></el-input>
    </el-form-item>
    <el-form-item label="日期" prop="dateDay">
      <el-input v-model="dataForm.dateDay" placeholder="日期"></el-input>
    </el-form-item>
    <el-form-item label="出勤天数" prop="workDay">
      <el-input v-model="dataForm.workDay" placeholder="出勤天数"></el-input>
    </el-form-item>
    <el-form-item label="备注" prop="remark">
      <el-input v-model="dataForm.remark" placeholder="备注"></el-input>
    </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">取消</el-button>
      <el-button type="primary" @click="dataFormSubmit()">确定</el-button>
    </span>
  </el-dialog>
</template>

<script>
  export default {
    data () {
      return {
        visible: false,
        dataForm: {
          id: 0,
          userId: '',
          dateDay: '',
          workDay: '',
          remark: ''
        },
        dataRule: {
          userId: [
            { required: true, message: '员工id不能为空', trigger: 'blur' }
          ],
          dateDay: [
            { required: true, message: '日期不能为空', trigger: 'blur' }
          ],
          workDay: [
            { required: true, message: '出勤天数不能为空', trigger: 'blur' }
          ],
          remark: [
            { required: true, message: '备注不能为空', trigger: 'blur' }
          ]
        }
      }
    },
    methods: {
      init (id) {
        this.dataForm.id = id || 0
        this.visible = true
        this.$nextTick(() => {
          this.$refs['dataForm'].resetFields()
          if (this.dataForm.id) {
            this.$http({
              url: this.$http.adornUrl(`/business/businessworkercq/info/${this.dataForm.id}`),
              method: 'get',
              params: this.$http.adornParams()
            }).then(({data}) => {
              if (data && data.code === 0) {
                this.dataForm.userId = data.businessWorkerCq.userId
                this.dataForm.dateDay = data.businessWorkerCq.dateDay
                this.dataForm.workDay = data.businessWorkerCq.workDay
                this.dataForm.remark = data.businessWorkerCq.remark
              }
            })
          }
        })
      },
      // 表单提交
      dataFormSubmit () {
        this.$refs['dataForm'].validate((valid) => {
          if (valid) {
            this.$http({
              url: this.$http.adornUrl(`/business/businessworkercq/${!this.dataForm.id ? 'save' : 'update'}`),
              method: 'post',
              data: this.$http.adornData({
                'id': this.dataForm.id || undefined,
                'userId': this.dataForm.userId,
                'dateDay': this.dataForm.dateDay,
                'workDay': this.dataForm.workDay,
                'remark': this.dataForm.remark
              })
            }).then(({data}) => {
              if (data && data.code === 0) {
                this.$message({
                  message: '操作成功',
                  type: 'success',
                  duration: 1500,
                  onClose: () => {
                    this.visible = false
                    this.$emit('refreshDataList')
                  }
                })
              } else {
                this.$message.error(data.msg)
              }
            })
          }
        })
      }
    }
  }
</script>
